libzypp 17.37.10

zypp::log::LineWriter Struct Reference

If you want to log the (formated) loglines by yourself, derive from this, and overload `writeOut`. More...

`#include <zypp-core/base/LogControl.h>`

Inheritance diagram for zypp::log::LineWriter:

## Public Member Functions
virtual void | writeOut (const std::string &)
virtual | ~LineWriter ()

## Detailed Description

If you want to log the (formated) loglines by yourself, derive from this, and overload `writeOut`.

Expect formated_r to be a formated log line without trailing `NL`. Ready to be written to the log.

Definition at line 35 of file LogControl.h.

## Constructor & Destructor Documentation

## ◆ ~LineWriter()

virtual zypp::log::LineWriter::~LineWriter | ( |  | ) |
| inline virtual

Definition at line 39 of file LogControl.h.

## Member Function Documentation

## ◆ writeOut()

virtual void zypp::log::LineWriter::writeOut | ( | const std::string & |  | ) |
| inline virtual

Reimplemented in zypp::log::StreamLineWriter.

Definition at line 37 of file LogControl.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogControl.h